# PODNAME: Config::Model::models::Dpkg::Copyright::Content
# ABSTRACT:  Configuration class Dpkg::Copyright::Content

=encoding utf8

=head1 NAME

Config::Model::models::Dpkg::Copyright::Content - Configuration class Dpkg::Copyright::Content

=head1 DESCRIPTION

Configuration classes used by L<Config::Model>

=head1 Elements

=head2 Copyright

One or more free-form copyright statement(s), one per line, that apply to the files matched by the above pattern. If a work has no copyright holder (i.e., it is in the public domain), that information should be recorded here.

The Copyright field collects all relevant copyright notices for the files of this paragraph. Not all copyright notices may apply to every individual file, and years of publication for one copyright holder may be gathered together. For example, if file A has:

      Copyright 2008 John Smith Copyright 2009 Angela Watts

and file B has:

      Copyright 2010 Angela Watts

the Copyright field for a stanza covering both file A and file B need contain only:

      Copyright 2008 John Smith Copyright 2009, 2010 Angela Watts

The Copyright field may contain the original copyright statement copied exactly (including the word Copyright), or it can shorten the text, as long as it does not sacrifice information. Examples in this specification use both forms. I< Mandatory. Type string.  > 

=head2 License

I< Optional. Type node of class L<Dpkg::Copyright::FileLicense|Config::Model::models::Dpkg::Copyright::FileLicense> .  > 

=head2 License-Alias

B<Deprecated> I< Optional. Type uniline.  > 

=head2 Comment

This field can provide additional information. For example, it might quote an e-mail from upstream justifying why the license is acceptable to the main archive, or an explanation of how this version of the package has been forked from a version known to be DFSG-free, even though the current upstream version is not. I< Optional. Type string.  > 

Note: Comment is migrated with 'C<$old>' and with: 

=over

=item *

C<$old> => C<- X-Comment>

=back



=head2 X-Comment

B<Deprecated> I< Optional. Type string.  > 

=head1 SEE ALSO

=over

=item *

L<cme>

=item *

L<Config::Model::models::Dpkg::Copyright::FileLicense>

=back

=head1 AUTHOR

=over

=item Dominique Dumont


=back

=head1 COPYRIGHT

=over

=item 2010,2011 Dominique Dumont


=back

=head1 LICENSE

=over

=item LGPL2


=back

=cut

